PHP Handbuch
Zurück |  | Nach vorne

# apache_lookup_uri

(PHP 3>= 3.0.4, PHP 4 )

apache_lookup_uri -- Führt eine Teilanfrage für eine URI durch und liefert alle Informationen darüber zurück.

## Beschreibung

object apache_lookup_uri ( string Dateiname)

apache_lookup_uri() führt eine Teilanfrage über eine bestimmte URI durch. Die Abfrage geht gerade soweit, dass alle wichtigen Informationen über die gegebene Quelle gesammelt werden können. Als Resultat wird eine Klasse zurückgeliefert, die folgende Elemente enthält:

status
the_request
status_line
method
content_type
handler
uri
filename
path_info
args
boundary
no_cache
no_local_copy
allowed
send_bodyct
bytes_sent
byterange
clength
unparsed_uri
mtime
request_time

> Anmerkung: apache_lookup_uri() funktioniert nur, wenn PHP als Apache-Modul eingerichtet wurde.

Zurück | Zum Anfang | Nach vorne
apache_child_terminate | Nach oben | apache_note